Bug 976032 - [RFE] Add support for ftp feeds to RPM repositories
Summary: [RFE] Add support for ftp feeds to RPM repositories
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support
Version: 2.2 Beta
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-19 19:07 UTC by Jeremy Cline
Modified: 2015-02-28 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:11:21 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 197 0 None None None Never

Description Jeremy Cline 2013-06-19 19:07:26 UTC
Description of problem: ftp is an unsupported scheme


Version-Release number of selected component (if applicable): pulp-server-2.2.0-0.4.beta.fc18.noarch


How reproducible:


Steps to Reproduce:
1. pulp-admin rpm repo create --repo-id=srpm --feed=ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/
2. pulp-admin rpm repo sync run --repo-id=srpm

Actual results:
+----------------------------------------------------------------------+
                    Synchronizing Repository [srpm]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
... failed

Unsupported scheme: ftp


Expected results: A successful sync


Additional info:

Comment 1 Randy Barlow 2013-06-19 19:09:46 UTC
It is worth noting that the ftp:// scheme was supported by Pulp 2.1.1, so this is a feature regression.

Comment 3 Brian Bouterse 2015-02-19 01:11:21 UTC
Moved to https://pulp.plan.io/issues/197


Note You need to log in before you can comment on or make changes to this bug.